/* CITY OF HEROES FANSITE STYLE SHEET - MEGAERICZERO on NEOCITIES */

body
 {
  align-items:start;
  background-color:#283c71;
  box-sizing:border-box;
  display:grid;
  font-family:Arial;
  gap:1rem;
  grid-template-columns:11rem 1fr;
  margin:0 auto;
  padding:1rem;
  width:min(100%,150vh);
 }

details summary { cursor:pointer; }

footer
 {
  background-color:white;
  border:0.125rem solid #fabd23;
  box-sizing:border-box;
  grid-column:span 2;
  padding:0.5rem 0.75rem;
  width:100%;
 }

h1
 {
  border-bottom:3px double silver;
  font-size:2rem;
  margin:0 0 1rem;
  padding-bottom:0.125rem;
 }

h2
 {
  font-size:1.50em;
 }

h2, h3
 {
  border-bottom:1px solid silver;
  clear:both;
 }

h3 { font-size:1.25em; margin-bottom:0; }

h4 { font-size:1.00em; }

hr
 {
  background-color:silver;
  border:0;
  height:1px;
  width:100%;
 }

li:not(ol li):not(ul li) { margin-left:1rem; }

main
 {
  background-color:#f7f7f7;
  border:1px solid silver;
  padding:2rem;
 }
main::after
 {
  background-color:#f7f7f7;
  border:1px solid silver;
  clear:both;
  color:#222299;
  content:'City of Heroes Fansite - megaericzero';
  display:block;
  font-size:0.8em;
  margin:1.5em 0 0;
  padding:1em 0.5em;
 }

nav
 {
  display:flex;
  flex-direction:column;
  gap:1rem;
 }
nav:before
 {
 aspect-ratio:1/1;
 background-color:#dd0000;
 background-image:linear-gradient(0deg,#00000080,#80808000,#ffffff66),
                  linear-gradient(90deg,#3030cc 0% 30%,#3030cc00 30% 70%,#3030cc 70% 100%);
 border-radius:50%;
 box-shadow:0 0.125rem 0.3125rem 0.0625rem #00000099;
 color:white;
 content:'\2605';
 display:block;
 font-size:10rem;
 line-height:1;
 margin:0 auto 1rem;
 text-align:center;
 text-shadow:0 0 0.5rem #00000080;
 width:100%;
 }

nav a
 {
  font-size:0.9rem;
  padding:0.25rem 0.5rem;
  text-decoration:none;
 }
nav a:hover
 {
  background-color:#ffffff80;
  opacity:0.7;
 }

nav hr { margin:0; }

.archetype-description { font-style:italic; }

.archetype-icon
 {
  border-radius:1rem;
  height:2rem;
  vertical-align:top;
  width:2rem;
 }

.archetype-set-details
 {
  background-color:#222299;
  display:flex;
  flex-direction:column;
  font-size:0.8rem;
  gap:1px;
  padding:1px;
  text-align:center;
 }

.archetype-set-details div
 {
  align-items:start;
  background-color:white;
  display:grid;
  gap:0.5rem;
  grid-template-columns:repeat(4,1fr);
  padding:0.5rem;
 }

.archetype-set-details summary
 {
  background-color:#ffffffaa;
  font-weight:bold;
  padding:0.5rem 1rem;
 }
.archetype-set-details summary:hover { background-color:#ffffffaa; }

.archetype-set-list { column-count:2; }

.incarnate-table { text-align:center; }

.incarnate-table td { vertical-align:top; }

.nav-group
 {
  background-image:linear-gradient(0deg,#d4e1ff,#e2e9ff);
  border:1px outset;
  display:flex;
  flex-direction:column;
  gap:1px;
  padding:0.5rem;
 }

.nav-header
 {
  border-bottom:1px solid silver;
  font-size:0.9rem;
  font-weight:bold;
  margin:0;
  padding:0.25rem;
 }

.power-enhancement
 {
  display:flex;
  gap:0.5rem;
  margin:0;
 }

.power-enhancement-icon
 {
  height:1.25rem;
  vertical-align:middle;
  width:1.25rem;
 }

.power-enhancement-table
 {
  float:right;
  width:49%;
 }
.power-enhancement-table td
 {
  vertical-align:top;
  width:50%;
 }

.power-info-table { width:49%; }

.power-info-table td { width:50%; }

.power-info-stat { text-align:center; }

.power-list-header
 {
  display:flex;
  gap:1rem;
  justify-content:space-between;
  margin:1rem 0;
 }

.power-list-header-effect { font-style:italic; }

.power-list-header-name { font-weight:bold; }

.power-list-header-text { flex:1; }

.powicon
 {
  display:inline-block;
  height:2rem;
  margin:0;
  overflow:hidden;
  position:relative;
  vertical-align:middle;
  width:2rem;
 }
.powicon:not(.powicon-incarnate) { border-radius:50%; }

.powicon-backdrop, .powicon-symbol, .powicon-ring, .powicon-layer
 {
  height:100%;
  left:0;
  position:absolute;
  top:0;
  width:100%;
 }
.powicon-backdrop { z-index:1; }
.powicon-symbol   { z-index:2; }
.powicon-ring     { z-index:3; }

.powicon-small
 {
  height:1.5rem;
  max-height:1.5rem;
  max-width:1.5rem;
  width:1.5rem;
 }

.wiki-profile
 {
  float:right;
  margin:0 0 1rem 1rem;
  max-width:50%;
 }

.wiki-table
 {
  background-color:silver;
  border-spacing:1px;
  font-size:0.9rem;
  margin-bottom:1rem;
 }
.wiki-table td
 {
  background-color:#f7f7f7;
  padding:0.5rem;
 }
.wiki-table th
 {
  background-color:gainsboro;
  padding:0.25rem;
 }

#table-of-contents
 {
  border:1px solid silver;
  background-color:gainsboro;
  float:right;
  font-size:0.8rem;
  padding:0.25rem 0.5rem;
  width:auto;
 }
#table-of-contents:before
 {
  border-bottom:1px solid silver;
  content:'Table of Contents';
  display:block;
  font-weight:bold;
  padding-bottom:0.125rem;
  text-align:center;
 }
#table-of-contents a { color:#222299; }

#splash { width:100%; }

/* REDO SECTION */

.real-effect
 {
  color:#dddddd;
  font-weight:bold;
  text-shadow: 1px 1px 0 black, 1px 0 0 black, 1px -1px 0 black,
               0   1px 0 black, 0   0 0 black, 0   -1px 0 black,
              -1px 1px 0 black,-1px 0 0 black,-1px -1px 0 black;
 }

.real-effect.accuracy   { color:#ffff70; }
.real-effect.damage     { color:#ff9090; }
.real-effect.defense    { color:#d7b9de; }
.real-effect.endurance  { color:#60bbff; }
.real-effect.healing    { color:#70ff70; }
.real-effect.mez        { color:#eaccff; }
.real-effect.resistance { color:#ffcc70; }
.real-effect.movement   { color:#60dddd; }

.real-effect-line + .real-effect-line { margin-top:0.33rem; }

.real-effect-note
 {
  font-size:0.75em;
  font-style:italic;
 }

/* END STYLESHEET */